| Home | Libraries | People | FAQ | More

###### field::get_uint64 (2 of 2 overloads)

Retrieves a reference to the underlying `std::uint64_t` value (unchecked access).

###### Synopsis

    std::uint64_t&
    get_uint64() noexcept;

###### Preconditions

`this->is_uint64() == true` (if violated, results in undefined behavior).

###### Exception safety

No-throw guarantee.

###### Object lifetimes

The returned reference is valid as long as `*this` is alive and no function that invalidates references is called on `*this`.